%define	rname	libconfig
%define	version	0.1.0
%define	release	1mdk

%define	major	0
%define libname	%mklibname config %{major}

Summary:	Libconfig is a configuration file parsing library.
Name:		%{libname}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.rkeene.org/oss/libconfig/
Group:		System/Libraries
Source0:	%{rname}-%{version}.tar.bz2
Patch0:		libconfig-0.1.0-DESTDIR.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package	devel
Summary:	Static library and header files for the %{rname} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{rname}-devel

%description	devel
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

This package contains the static %{rname} library and its header
files.

%prep

%setup -q -n %{rname}-%{version}
%patch0 -p0

%build

%configure2_5x

# fix soname
perl -pi -e "s|^SHOBJFLAGS.*|SHOBJFLAGS=-Wl,-soname=%{rname}.so.0 -shared -fPIC -D_REENTRANT|g" Makefile

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Docs/* README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_mandir}/man3/*

%changelog
* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1.0-1mdk
- initial mandrake package
